package com.zt.plat.module.erp.service.erp;

import com.zt.plat.module.erp.api.dto.ErpElectronicInvoiceReversalReqDTO;
import com.zt.plat.module.erp.api.dto.ErpElectronicInvoiceSubmitReqDTO;
import com.zt.plat.module.erp.api.dto.ErpInvoiceticketSubmitReqDTO;
import com.zt.plat.module.erp.api.dto.ErpInvoiceticketSubmitRespDTO;

import java.util.HashMap;
import java.util.Map;

public interface ErpInvoiceticketService {
    ErpInvoiceticketSubmitRespDTO sbumitToErp020(ErpInvoiceticketSubmitReqDTO reqDTO);
    Map<String, String> sbumitToErp098(Map<String, Object> reqDTO);
    Map<String, String> sbumitToErp096(ErpElectronicInvoiceSubmitReqDTO reqDTO);
    Map<String, String> sbumitToErp097(ErpElectronicInvoiceReversalReqDTO reqDTO);
}
